/**
 * Copyright (C), 2015-2019, XXX有限公司
 * FileName: EntityMapper
 * Author:   wangcl
 * Date:     2019/4/3 10:59
 * Description:
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.gesoft.api.base.common;

import java.util.List;
import java.util.Map;

/**
 * 〈一句话功能简述〉<br> 
 * 〈〉
 *
 * @author wangcl
 * @create 2019/4/3
 * @since 1.0.0
 */
public interface EntityMapper<T> {

    /**
     * 增加
     * @param obj
     * @return
     */
    public int add(T obj);

    /**
     * 修改
     * @param obj
     * @return
     */
    public int modify(T obj);

    /**
     * 删除
     * @param obj
     * @return
     */
    public int delete(T obj);

    /**
     * 查询总记录
     * @param map
     * @return
     */
    public int findListCnt(Map<String, Object> map);


    /**
     * 分页查询
     * @param map
     * @return
     */
    public List<T> findList(Map<String, Object> map);

}
