/**
 * Copyright (C), 2015-2019, XXX有限公司
 * FileName: BaseService
 * Author:   wangcl
 * Date:     2019/4/3 09:45
 * Description: 基础SERVICE
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.gesoft.api.base.common;


import com.gesoft.api.base.entity.MsgModel;

import java.util.Map;

/**
 * 〈一句话功能简述〉<br> 
 * 〈基础SERVICE〉
 *
 * @author wangcl
 * @create 2019/4/3
 * @since 1.0.0
 */
public interface EntityService<T> {
    /**
     * 增加
     * @param obj
     */
    public int add(T obj);


    /**
     * 修改
     * @param obj
     */
    public int modify(T obj);

    /**
     * 删除
     * @param obj
     * @return
     */
    public int delete(T obj);


    /**
     * 分页查询
     * @param paramMap
     * @return
     */
    public MsgModel query(Map<String, Object> paramMap);
}
