package com.gesoft.api.base.constant;

/**
 * Created by WCL on 2018/10/12.
 */
public enum ErrCode {

    PARAM_MISS(10000, "参数为空"),
    PARAM_INVALID(10001, "参数不合法"),

    HTTP_REQUEST_ERROR(20003, "请求异常"),
    SEARCH_DATE_IS_NULL(30000, "查询数据不存在"),

    AUTHTICATION_APP_MAKR_NOT_NULL(90000,"用户标识不能为空"),
    AUTHTICATION_IP_NOT_VALID(90001,"IP地址不合法"),
    AUTHTICATION_APP_MAKR_NOT_EXIST(90002,"用户标识不存在"),
    AUTHTICATION_TIMES_NOT_NULL(90003,"时间戳不能为空"),
    AUTHTICATION_SIGN_NOT_NULL(90004,"签名值不能为空"),
    AUTHTICATION_SIGN_ERROR(90005,"签名不合法");




    private int code;
    private String msg;

    ErrCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
