package com.gesoft.api.base.entity;


import com.gesoft.api.base.constant.ErrCode;

/**
 * Created by WCL on 2018/9/19.
 */
public class MsgModel extends BaseModel {
    private String msg = "";
    private int code = 0;
    private int total;
    private Object data;
    private Object param;
    private boolean success = false;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }



    public void setErrTip(int code, String msg){
        this.success = false;
        this.code = code;
        this.msg = msg;
    }


    public void setErrCode(ErrCode errCode){
        this.code = errCode.getCode();
        this.msg = errCode.getMsg();
        this.success = false;
    }

    public static MsgModel getErrRet(int errCode, String msg) {
        MsgModel msgModel = new MsgModel();
        msgModel.setErrTip(errCode, msg);
        return msgModel;
    }

    public static MsgModel getErrRet(ErrCode errCode){
        MsgModel msgModel = new MsgModel();
        msgModel.setErrCode(errCode);
        return  msgModel;
    }

    public static MsgModel getSuccessRet(Object data) {
        MsgModel msgModel = new MsgModel();
        msgModel.setSuccessData(data);
        return msgModel;
    }

    public void setSuccessData(Object data) {
        this.data = data;
        this.success = true;

    }

    public Object getParam() {
        return param;
    }

    public void setParam(Object param) {
        this.param = param;
    }

    @Override
    public String toString() {
        return "MsgModel{" +
                "msg='" + msg + '\'' +
                ", code=" + code +
                ", total=" + total +
                ", data=" + data +
                ", param=" + param +
                ", success=" + success +
                '}';
    }
}
