/**
 * Copyright (C), 2015-2019, XXX有限公司
 * FileName: EntityServiceImpl
 * Author:   wangcl
 * Date:     2019/4/3 10:57
 * Description: 基础
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.gesoft.api.base.common;


import com.gesoft.api.base.entity.MsgModel;

import java.util.List;
import java.util.Map;

/**
 * 〈一句话功能简述〉<br> 
 * 〈基础〉
 *
 * @author wangcl
 * @create 2019/4/3
 * @since 1.0.0
 */
public abstract class EntityServiceImpl<T>  extends BaseService implements EntityService<T>{


    public abstract EntityMapper getEntityMapper();


    /**
     * 增加
     * @param obj
     */
    public int add(T obj){
        return getEntityMapper().add(obj);
    }


    /**
     * 修改
     * @param obj
     */
    public int modify(T obj){
        return getEntityMapper().modify(obj);
    }

    /**
     * 删除
     * @param obj
     * @return
     */
    public int delete(T obj){
        return getEntityMapper().delete(obj);
    }


    /**
     * 分页查询
     * @param paramMap
     * @return
     */
    public MsgModel query(Map<String, Object> paramMap){
        List<T> argFlys = null;
        MsgModel msgModel = new MsgModel();
        int total = getEntityMapper().findListCnt(paramMap);
        if (total > 0){
            dealPageSize(paramMap, total);
            argFlys = getEntityMapper().findList(paramMap);
            msgModel = MsgModel.getSuccessRet(argFlys);
        }
        msgModel.setParam(paramMap);
        return msgModel;
    }
}
